DRM_GEM_CMA_MMAP(9)

NAME
drm_gem_cma_mmap - memory-map a CMA GEM object

SYNOPSIS

int drm_gem_cma_mmap(struct file * filp, struct vm_area_struct * vma);

ARGUMENTS

filp
    file object

vma
    VMA for the area to be mapped

DESCRIPTION

This function implements an augmented version of the GEM DRM file mmap

OPERATION FOR CMA OBJECTS

In addition to the usual GEM VMA setup it immediately faults in the entire object instead of using on-demaind faulting. Drivers which employ the CMA helpers should use this function as their ->mmap handler in the DRM device file's file_operations structure.

RETURNS

0 on success or a negative error code on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT